##############################################################################
#
# Copyright (c) 2002 Ingeniweb SARL
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################

"""AttachmentField"""
import Globals
from AccessControl import ModuleSecurityInfo, allow_module

import AccessControl.Permissions
import AttachmentField

from global_symbols import *

from AccessControl.Permissions import *

from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils, CMFCorePermissions

PROJECTNAME = "AttachmentField"

registerDirectory('skins', globals())
registerDirectory('skins/attachmentfield', globals())

product_globals = globals()          # Used only in the Extensions/Install.py script

# Old and deprecated service management
cp_id = "AttachmentService"

def initialize(context):

    # Previous versions of AttachmentField put an "AttachmentService" in zope
    # control panel. We remove it if it is still present
    cp = context._ProductContext__app.Control_Panel # argh
    if cp_id in cp.objectIds():
        cp._delObject(cp_id)

    # Import tool
    from Products.AttachmentField.AttachmentFieldTool import AttachmentFieldTool
    utils.ToolInit(
        PROJECTNAME + ' Tool',
        tools=(AttachmentFieldTool,),
        product_name=PROJECTNAME,
        icon='tool.gif').initialize(context)


# Plugins MUST BE IMPORTED LAST !
# XXX TODO : we should provide a way to automatically import services
# (like Zope's 'Products' dir)
import AudioAttachment
import AutocadAttachment
import DummyAttachment
import HTMLAttachment
import ImageAttachment
import MSAccessAttachment
import MSExcelAttachment
import MSPowerpointAttachment
import MSProjectAttachment
import MSWordAttachment
import PDFAttachment
import TextAttachment
import VisioAttachment
import ZipAttachment
import VideoAttachment
import CompressedAttachment
import TarGzAttachment
import RTFAttachment
import OOAttachment
import PortalTransformsAttachment
import FlashAttachment
