from common import *
from utils import *

from Products.AttachmentField import AttachmentHandler

class TestAbstractHandler(ArchetypesTestCase):

    def afterSetUp(self):
        ArchetypesTestCase.afterSetUp(self)
        self.abstract_handler = AttachmentHandler.AbstractHandler()
        

    def testHtmlStripBodyStart(self):
        sample = """
        <html> <head> </head>
        <body>Stripped body start"""
        expected = """Stripped body start"""
        
        result = self.abstract_handler._strip_body_start.sub('', sample)
        self.assertEqual(result, expected)

    def testHtmlStripBodyEnd(self):
        sample = """Stripped body end</body> </html>"""
        expected = """Stripped body end"""
        result = self.abstract_handler._strip_body_end.sub('', sample)
        self.assertEqual(result, expected)

    def testCleanHTML(self):
        sample = "<html> <head> </head>\n" \
                 "<body>\n" \
                 "<h1>title</h1>\n" \
                 "<p>sample content</p>\n" \
                 "</body>\n" \
                 "</html>"

        expexted = "<h1>title</h1>\n" \
                   "<p>sample content</p>"

        result = self.abstract_handler._cleanHTML(sample)
        self.assertEqual(result, expexted)

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestAbstractHandler))
    return suite

if __name__ == '__main__':
    framework()

